### Enumeration

# GLib MarkupError

#### Declaration

    error-domain GLib.MarkupError

#### Description [src]

Error codes returned by markup parsing.

#### Members

Name | Description
--- | ---
`G_MARKUP_ERROR_BAD_UTF8` | Text being parsed was not valid UTF-8
`G_MARKUP_ERROR_EMPTY` | Document contained nothing, or only whitespace.
`G_MARKUP_ERROR_PARSE` | Document was ill-formed.
`G_MARKUP_ERROR_UNKNOWN_ELEMENT` | Error should be set by `GMarkupParser` functions; element wasn’t known.
`G_MARKUP_ERROR_UNKNOWN_ATTRIBUTE` | Error should be set by `GMarkupParser` functions; attribute wasn’t known.
`G_MARKUP_ERROR_INVALID_CONTENT` | Error should be set by `GMarkupParser` functions; content was invalid.
`G_MARKUP_ERROR_MISSING_ATTRIBUTE` | Error should be set by `GMarkupParser` functions; a required attribute was missing.